org.modeshape.webdav.methods

## Class DoDelete

- java.lang.Object
- - org.modeshape.webdav.methods.AbstractMethod
  - - org.modeshape.webdav.methods.DoDelete

- All Implemented Interfaces:
    IMethodExecutor

      public class DoDelete
      extends AbstractMethod

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.webdav.methods.AbstractMethod

      `BUF_SIZE, CREATION_DATE_FORMAT, DEFAULT_TIMEOUT, INFINITY, LAST_MODIFIED_DATE_FORMAT, LOCAL_DATE_FORMAT, MAX_TIMEOUT, TEMP_TIMEOUT, TEMPORARY, URL_ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoDelete(IWebdavStore store, ResourceLocks resourceLocks, boolean readOnly)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteResource(ITransaction transaction, String path, Hashtable<String,Integer> errorList, HttpServletRequest req, HttpServletResponse resp)` deletes the recources at "path"
    `void` | `execute(ITransaction transaction, HttpServletRequest req, HttpServletResponse resp)`

    - ### Methods inherited from class org.modeshape.webdav.methods.AbstractMethod

      `creationDateFormat, getCleanPath, getDepth, getDocumentBuilder, getETag, getLocalDateFormat, getLockIdFromIfHeader, getLockIdFromLockTokenHeader, getParentPath, getRelativePath, isUnlocked, lastModifiedDateFormat, rewriteUrl, sendReport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoDelete

          public DoDelete(IWebdavStore store,
                  ResourceLocks resourceLocks,
                  boolean readOnly)

  - ### Method Detail

    - #### execute

          public void execute(ITransaction transaction,
                     HttpServletRequest req,
                     HttpServletResponse resp)
                       throws IOException,
                              LockFailedException

      Throws:
        `IOException`
        `LockFailedException`

    - #### deleteResource

          public void deleteResource(ITransaction transaction,
                            String path,
                            Hashtable<String,Integer> errorList,
                            HttpServletRequest req,
                            HttpServletResponse resp)
                              throws IOException,
                                     WebdavException

      deletes the recources at "path"
      Parameters:
        `transaction` - indicates that the method is within the scope of a WebDAV transaction
        `path` - the folder to be deleted
        `errorList` - all errors that ocurred
        `req` - HttpServletRequest
        `resp` - HttpServletResponse
      Throws:
        `WebdavException` - if an error in the underlying store occurs
        `IOException` - when an error occurs while sending the response

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.